
mytest <- function() {

    cat( "Hello\n" );

}

info <- function(raster_path) {
  library(raster)
  r1 <- raster(raster_path)
  x11()
  hist(r1, main="Histograma", xlab="Pixel values", border="blue", xlim=c(5000,10000),breaks=100)
  locator(1)
}

ndvi <- function(b4_path, b5_path, ndvi_path) {
  library(raster)
  b4 <- raster(b4_path)
  b5 <- raster(b5_path)
  ndvi <- overlay(b4, b5, fun = function(x, y) {
    (y-x)/(y+x)
  })
  writeRaster(ndvi, ndvi_path, format="GTiff")
}

diferencia <- function(b4_path, b5_path, ndvi_path) {
  library(raster)
  b4 <- raster(b4_path)
  b5 <- raster(b5_path)
  ndvi <- overlay(b4, b5, fun = function(x, y) {
    (y-x)
  })
  writeRaster(ndvi, ndvi_path, format="GTiff")
}

rasterstack <- function(r1, r2, r3) {
  library(raster)
  l1 <- raster(r1)
  l2 <- raster(r2)
  l3 <- raster(r3)
  s1 <- stack(l1, l2, l3)
  x11()
  plot(s1)
  locator(1)
}







