# encoding: utf-8

import gvsig
import rlib

def console(msg, otype=0):
    print msg,

def calculo(b4_name, b5_name, ndvi_func, ndvi_name):
    #Path desde la capa
    b4 = gvsig.currentView().getLayer(b4_name)
    b5 = gvsig.currentView().getLayer(b5_name)

    R = rlib.getREngine(console)

    b4_path = R.getPathName(b4)
    b5_path = R.getPathName(b5)
    ndvi_path = R.getPathName(gvsig.getTempFile("ndvi", ".tif"))
    print b4_path
    print b5_path
    print ndvi_path

    R.setwd(R.getPathName(gvsig.getResource(__file__,"data")))
    R.source(R.getPathName(gvsig.getResource(__file__,"data/rejemplo.r")))
    R.call(ndvi_func, b4_path, b5_path, ndvi_path)
    R.end()

    r1 = gvsig.loadRasterFile(ndvi_path)
    r1.setName(ndvi_name)
    return ndvi_path

def rasterstack(r1, r2, r3):
    R = rlib.getREngine(console)
    rsource = R.getPathName(gvsig.getResource(__file__,"data/rejemplo.r"))
    R.source(rsource)
    R.call("rasterstack", r1, r2, r3)
    R.end()
    
def main(*args):

    #Calculo del ndvi
    #function calculo
    # calculo(raster B4, raster B5, nombre funcion, nombre capa final)
    feb_path = calculo("feb_B4", "feb_B5", "ndvi", "ndvi-feb")
    jul_path = calculo("jul_B4", "jul_B5", "ndvi", "ndvi-jul")
    dif_path = calculo("ndvi-feb", "ndvi-jul", "diferencia", "diferencia")
    rasterstack(feb_path, jul_path, dif_path)
